Page MenuHomePhabricator

[Story] initial default display of article placeholder
Closed, ResolvedPublic

Description

Implement the very first version of the Article Placeholder's Lua libaries.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterDon't show titles if there is no content
mediawiki/extensions/ArticlePlaceholder : masterAdd getter and setter for the default Lua libary.
mediawiki/extensions/ArticlePlaceholder : masterImplement the Lua library for the default display

Event Timeline

Lucie created this task.Sep 28 2015, 10:26 AM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: hoo, Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 10:26 AM

Change 239128 had a related patch set uploaded (by Lucie Kaffee):
Implement the Lua library for the default display

https://gerrit.wikimedia.org/r/239128

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 28 2015, 1:31 PM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Sep 28 2015, 1:39 PM

Change 239128 merged by jenkins-bot:
Implement the Lua library for the default display

https://gerrit.wikimedia.org/r/239128

Ricordisamoa renamed this task from initial default display of article playeholder to initial default display of article placeholder.Sep 28 2015, 6:41 PM
Ricordisamoa set Security to None.
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.
Jonas renamed this task from initial default display of article placeholder to [Story] initial default display of article placeholder.Sep 30 2015, 10:11 AM
Lucie moved this task from Doing to Done on the Wikidata-Sprint-2015-09-29 board.Sep 30 2015, 5:30 PM
Lucie moved this task from Done to Doing on the Wikidata-Sprint-2015-09-29 board.

@hoo: "Other things that are probably missing: A top level factory, getters and setters."
I will add at least getters abd setters to close the ticket.

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Oct 2 2015, 3:22 PM
Lucie moved this task from Doing to Review on the Wikidata-Sprint-2015-09-29 board.

Change 242919 had a related patch set uploaded (by Lucie Kaffee):
Add getter and setter for the default Lua libary.

https://gerrit.wikimedia.org/r/242919

Change 242919 merged by jenkins-bot:
Add getter and setter for the default Lua libary.

https://gerrit.wikimedia.org/r/242919

Change 243953 had a related patch set uploaded (by Lucie Kaffee):
Don't show titles if there is no content

https://gerrit.wikimedia.org/r/243953

Change 243953 merged by jenkins-bot:
Don't show titles if there is no content

https://gerrit.wikimedia.org/r/243953

Lucie closed this task as Resolved.Oct 10 2015, 1:23 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.
Lucie moved this task from Review to Done on the Wikidata-Sprint-2015-09-29 board.